@charset "utf-8";

body {
  font-size: var(--fs-body-base);
  font-family: var(--ff-ja);
}

.l-contents {
  padding-top: 90px;
}

.l-header {
  position: fixed;
  z-index: 100;
  top: 0;
  left: 0;
  width: 100%;
  box-shadow: var(--shadow-header);
  background: var(--color-gray-0);
}

.nav {
  max-width: 1510px;
  padding-top: 8px;
  padding-inline: 115px;
  margin-inline: auto;
}

.nav-head__wrap {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.nav-head__tab {
  display: flex;
  align-items: center;
  gap: 32px;
}

.nav-head__logo {
  transition: var(--ts-base);

  @media (hover: hover) {
    &:hover {
      opacity: var(--opacity-base);
    }
  }
}

.nav-head__tab-list {
  display: flex;
  align-items: center;
  background: var(--color-gray-100);
  border-radius: var(--radius-base);
}

.nav-head__tab-item {
  font-size: var(--fs-body-sm);
  font-weight: var(--fw-600);
  color: var(--color-gray-900);
  line-height: var(--lineheigth-128);
  padding-block: 6px 7px;
  padding-inline: 12px;
}

.nav-head__tab-item.--current {
  background: var(--color-primary-900);
  color: var(--color-gray-0);
  border-radius: var(--radius-base);
}

.nav-head__tab-item--inactive {
  transition: var(--ts-base);

  @media (hover: hover) {
    &:hover {
      opacity: var(--opacity-base);
    }
  }
}

.nav-head__contents {
  display: flex;
  align-items: center;
  gap: 12px;
}

.nav-head__txt {
  display: flex;
  align-items: center;
  gap: 12px;
}

.nav-txt__link {
  font-size: var(--fs-body-sm);
  font-weight: var(--fw-600);
  color: var(--color-gray-900);
  line-height: var(--lineheigth-128);
  transition: var(--ts-base);

  @media (hover: hover) {
    &:hover {
      opacity: var(--opacity-base);
    }
  }
}

.nav-head__btn-wrap {
  display: flex;
  align-items: center;
  gap: 4px;
}

.nav-head__btn {
  position: relative;
}

.nav-head__btn button {
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  padding-inline: 12px 8px;
  font-size: var(--fs-body-sm);
  font-weight: var(--fw-600);
  color: var(--color-gray-900);
  background: var(--color-gray-0);
  line-height: var(--lineheigth-128);
  /* border: none; */
  border: 1px solid var(--color-gray-500);
  /* outline: 1px solid var(--color-gray-500); */
  border-radius: var(--radius-base);
  display: flex;
  align-items: center;
  cursor: pointer;

  &[aria-expanded="true"] {
    &::after {
      transform: rotate(180deg);
    }
  }

  &::after {
    content: "";
    display: block;
    width: 16px;
    height: 16px;
    background: url(../images/common/icon_arrow_black_02.svg) no-repeat center /
      contain;
    transition: var(--ts-base);
  }
}

.nav-head__btn-link {
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding-inline: 12px;
  font-size: var(--fs-body-sm);
  font-weight: var(--fw-600);
  color: var(--color-gray-0);
  background: var(--color-primary-900);
  line-height: var(--lineheigth-128);
  border-radius: var(--radius-base);
  transition: var(--ts-base);

  @media (hover: hover) {
    &:hover {
      background: var(--color-primary-800);
    }
  }
}

.nav-head__submenu {
  opacity: 1;
  visibility: visible;
  position: absolute;
  top: 100%;
  left: 0;
  padding-top: 10px;
  transition: var(--ts-base);
  z-index: 999;
}

.nav-head__submenu-list {
  display: flex;
  flex-direction: column;
  gap: 16px;
  border-radius: 8px;
  border: 1px solid var(--color-gray-300);
  background: var(--color-gray-0);
  padding-block: 20px;
  padding-inline: 20px 125px;
  white-space: nowrap;
}

.nav-head__submenu-link {
  font-size: var(--fs-body-sm);
  font-weight: var(--fw-600);
  line-height: var(--lineheigth-128);
  color: var(--color-gray-900);
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 4px;
  transition: var(--ts-base);

  @media (hover: hover) {
    &:hover {
      opacity: var(--opacity-base);
    }
  }

  &::after {
    position: relative;
    content: "";
    background: url(../images/common/icon_blank_black.svg) no-repeat center /
      contain;
    width: 16px;
    height: 16px;
  }
}

.nav-bottom {
  padding-top: 12px;
}

.nav-bottom__list {
  display: flex;
  align-items: center;
  gap: 24px;
}

.nav-bottom__item {
  position: relative;
  display: inline-flex;

  button {
    transition: var(--ts-base);

    @media (hover: hover) {
      &:hover {
        cursor: pointer;
        opacity: var(--opacity-base);
      }
    }
  }
}

.nav-bottom__item.is-current {
  &::before {
    position: absolute;
    content: "";
    width: 100%;
    height: 4px;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    background: var(--color-primary-900);
  }
}

.nav-bottom__item--sp {
  display: none;
}

.nav-bottom__link {
  padding-inline: 4px;
  padding-bottom: 16px;
  font-size: var(--fs-body-sm);
  font-weight: var(--fw-600);
  line-height: var(--lineheigth-128);
  color: var(--color-gray-900);
  transition: var(--ts-base);

  @media (hover: hover) {
    &:hover {
      opacity: var(--opacity-base);
    }
  }
}

.nav-bottom__menu-toggle {
  font-size: var(--fs-body-sm);
  font-weight: var(--fw-600);
  line-height: var(--lineheigth-128);
  color: var(--color-gray-900);
  position: relative;
  display: flex;
  align-items: center;

  &::after {
    content: "";
    display: block;
    width: 16px;
    height: 16px;
    background: url(../images/common/icon_arrow_black_02.svg) no-repeat center /
      contain;
    transition: var(--ts-base);
  }
}

.nav-bottom__item-02 {
  padding-bottom: 16px;

  @media (hover: hover) {
    &:hover {
      cursor: pointer;

      .nav-bottom__menu-toggle {
        opacity: 0.75;
      }
    }
  }
}

.nav-bottom__item-02.is-open {
  cursor: pointer;

  &::before {
    position: absolute;
    content: "";
    width: 100%;
    height: 4px;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    background: var(--color-primary-900);
  }

  .nav-bottom__menu-toggle {
    &::after {
      transform: rotate(180deg);
    }
  }
}

.nav-bottom__item-02.is-open .nav-bottom__item-02-list-wrap {
  max-height: 300px;
  border: 1px solid var(--color-gray-300);
}

.nav-bottom__item-02-inner a {
  color: var(--color-gray-900);
  font-size: var(--fs-link-sm);
  line-height: var(--lineheigth-128);
  font-weight: var(--fw-600);
  padding-block: 4px;
  transition: var(--ts-base);

  @media (hover: hover) {
    &:hover {
      opacity: var(--opacity-base);
    }
  }
}

.nav-bottom__item-02-inner--blank a {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 4px;

  &::after {
    content: "";
    background: url(../images/common/icon_blank_black.svg) no-repeat center /
      contain;
    width: 16px;
    height: 16px;
  }
}

.nav-bottom__item-02-list-wrap {
  position: absolute;
  /* top: 35px; */
  top: 45px;
  left: -16px;
  z-index: 4;
  width: 300px;
  max-height: 0;
  /* border-radius: 0 0 8px 8px; */
  border-radius: 8px;
  background-color: var(--color-gray-0);
  text-align: left;
  list-style: none;
  overflow: hidden;
}

.nav-bottom__item-02-list {
  padding-block: 12px;
  padding-inline: 20px;
  display: flex;
  flex-direction: column;
  gap: 8px;
}

/* --------------------
  windowsページ用
  -------------------- */
.l-header_windows {
  .nav-head__tab-item.--current {
    background: var(--color-secondary-900);
  }

  .nav-head__btn-link {
    background: var(--color-secondary-900);
  }

  .nav-bottom__item.is-current,
  .nav-bottom__item-02.is-open {
    &::before {
      background: var(--color-secondary-900);
    }
  }
}

@media only screen and (min-width: 992px) {
  .nav-sp__tab {
    display: none;
  }
}

@media only screen and (max-width: 1300px) {
  .nav {
    padding-inline: 32px;
  }

  .nav-head__contents {
    padding-right: 0;
  }

  .nav-head__submenu-list {
    padding-inline: 20px;
  }
}

@media only screen and (max-width: 991px) {
  .l-contents {
    padding-top: 90px;
  }

  .nav {
    max-width: 100%;
    padding-inline: 0;
  }

  .nav-head {
    padding-inline: 20px;
  }

  .nav-head__wrap {
    gap: 10px;
  }

  .nav-head__logo {
    max-width: 132px;
    width: 100%;
  }

  .nav-head__txt {
    display: none;
  }

  .nav-head__tab-list {
    display: none;
  }

  .nav-head__btn button {
    font-size: var(--fs-link-xs);
    line-height: 124%;
    padding-inline: 8px 4px;
    width: 82px;
    height: 32px;
  }

  .nav-head__btn-link {
    font-size: var(--fs-link-xs);
    line-height: 124%;
    padding-inline: 8px;
    width: 82px;
    height: 32px;
  }

  .nav-head__submenu {
    padding-top: 10px;
    left: auto;
    right: -62px;
  }

  .nav-head__submenu-list {
    padding-inline: 20px;
    border-radius: 8px;
    box-shadow: var(--shadow-header);
  }

  .nav-sp__tab {
    display: block;
    margin-top: 8px;
    border-top: 1px solid var(--color-gray-300);
    border-bottom: 1px solid var(--color-gray-300);
  }

  .nav-sp__tab-contents {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
  }

  .nav-sp__tab-item {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-block: 10px 14px;
    padding-inline: 10px;
    font-size: var(--fs-link-xs);
    font-weight: var(--fw-600);
    line-height: 124%;
    color: var(--color-gray-900);
  }

  .nav-sp__tab-item.--current {
    position: relative;

    &::before {
      position: absolute;
      content: "";
      width: 100%;
      height: 4px;
      bottom: -1px;
      left: 50%;
      transform: translateX(-50%);
      background: var(--color-primary-900);
    }

    &::after {
      content: "";
      display: block;
      width: 16px;
      height: 16px;
      background: url(../images/common/icon_arrow_black_02.svg) no-repeat
        center / contain;
      transition: var(--ts-base);
    }
  }

  .nav-sp__tab-item.js-nav-vps-toggle {
    cursor: pointer;
  }

  .nav-sp__tab-item.js-nav-vps-toggle.is-open {
    &::after {
      transform: rotate(180deg);
    }
  }

  .nav-bottom__list {
    flex-direction: column;
    gap: 0;
    padding-bottom: 80px;
  }

  .nav-head__logo {
    width: 132px;

    img {
      display: block;
      width: 100%;
      height: auto;
    }
  }

  .nav-bottom {
    max-height: calc(100vh - 93px);
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
    display: none;
    padding-block: 0;
  }

  .nav-bottom__wrap {
    padding-block: 0;
  }

  .nav-bottom__item {
    width: 100%;
    padding-bottom: 0;
  }

  .nav-bottom__item.is-current {
    &::before {
      display: none;
    }
  }

  .nav-bottom__item--sp {
    display: inline-flex;
  }

  .nav-bottom__item-02 {
    height: auto;
    justify-content: space-between;

    &::after {
      margin-right: 24px;
    }
  }

  .nav-bottom__link {
    padding-inline: 24px 20px;
    font-size: var(--fs-link-sm);
    padding-block: 16px;
    width: 100%;
  }

  .nav-bottom__link--blank {
    position: relative;

    &::after {
      position: absolute;
      top: 50%;
      transform: translateY(-50%);
      margin-left: 4px;
      content: "";
      background: url(../images/common/icon_blank_black.svg) no-repeat center /
        contain;
      width: 16px;
      height: 16px;
    }
  }

  .nav-bottom__menu-toggle {
    padding-left: 28px;
    justify-content: space-between;
  }

  .nav-bottom__item-02 {
    flex-direction: column;
    align-items: stretch;
    cursor: pointer;
  }

  .nav-bottom__item-02-list {
    gap: 0;
    padding-block: 0;
  }

  .nav-bottom__item-02-inner {
    a {
      display: block;
      width: 100%;
      padding-block: 16px;
    }
  }

  .nav-bottom__item-02-inner--blank a {
    &::after {
      position: absolute;
      top: 50%;
      transform: translateY(-50%);
      margin-left: 4px;
    }
  }

  .nav-bottom__item-02-list-wrap.js-nav-sub-content {
    position: static;
    width: 100%;
    max-height: none;
    display: none;
    background-color: var(--color-gray-100);
  }

  .nav-bottom__item-02.is-open .nav-bottom__item-02-list-wrap {
    border-radius: 0;
    border: none;
  }

  .nav-bottom__item-02:hover .nav-bottom__item-02-list-wrap {
    max-height: none;
  }

  .nav-bottom__item-02:hover {
    &::before {
      display: none;
    }
  }

  .nav-bottom__item-02 {
    padding-block: 0;
  }

  .nav-bottom__menu-toggle {
    padding-block: 16px;
    padding-inline: 24px 28px;
    transition: background var(--ts-base);
  }

  .nav-bottom__item-02.is-open .nav-bottom__menu-toggle {
    background: var(--color-primary-900);
    color: var(--color-gray-0);
  }

  .nav-bottom__item-02.is-open .nav-bottom__menu-toggle::after {
    transform: rotate(180deg);
    background: url(../images/common/icon_arrow_white_03.svg) no-repeat center /
      contain;
  }

  .nav-bottom__item-02-list {
    background: var(--color-primary-50);
  }

  body.is-fixed {
    overflow: hidden;
    height: 100%;
  }

  /* --------------------
  windowsページ用
  -------------------- */
  .l-header_windows {
    .nav-sp__tab-item.--current {
      &::before {
        background: var(--color-secondary-900);
      }
    }

    .nav-bottom__item-02.is-open .nav-bottom__menu-toggle {
      background: var(--color-secondary-900);
    }

    .nav-bottom__item-02-list {
      background: var(--color-secondary-50);
    }
  }
}
